Wemo invalid config

Error suddenly occured.

Initally only the Insight was unresponsive, but after rebooting the Pi my HASS is on, the wemo component is now showing invalid config.

I have tried manually adding the static IPs of my wemo under the config too, but no luck.

2017-08-24 15:44:03 WARNING (MainThread) [homeassistant.setup] Setup of wemo is taking over 10 seconds.
2017-08-24 15:44:11 ERROR (MainThread) [homeassistant.setup] Error during setup of component wemo
Traceback (most recent call last):
File “/srv/homeassistant/lib/python3.5/site-packages/requests/packages/urllib3/connectionpool.py”, line 386, in _make_request
six.raise_from(e, None)
File “”, line 2, in raise_from
File “/srv/homeassistant/lib/python3.5/site-packages/requests/packages/urllib3/connectionpool.py”, line 382, in _make_request
httplib_response = conn.getresponse()
File “/usr/lib/python3.5/http/client.py”, line 1198, in getresponse
response.begin()
File “/usr/lib/python3.5/http/client.py”, line 297, in begin
version, status, reason = self._read_status()
File “/usr/lib/python3.5/http/client.py”, line 258, in _read_status
line = str(self.fp.readline(_MAXLINE + 1), “iso-8859-1”)
File “/usr/lib/python3.5/socket.py”, line 576, in readinto
return self._sock.recv_into(b)
socket.timeout: timed out

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File “/srv/homeassistant/lib/python3.5/site-packages/requests/adapters.py”, line 438, in send
timeout=timeout
File “/srv/homeassistant/lib/python3.5/site-packages/requests/packages/urllib3/connectionpool.py”, line 649, in urlopen
_stacktrace=sys.exc_info()[2])
File “/srv/homeassistant/lib/python3.5/site-packages/requests/packages/urllib3/util/retry.py”, line 357, in increment
raise six.reraise(type(error), error, _stacktrace)
File “/srv/homeassistant/lib/python3.5/site-packages/requests/packages/urllib3/packages/six.py”, line 686, in reraise
raise value
File “/srv/homeassistant/lib/python3.5/site-packages/requests/packages/urllib3/connectionpool.py”, line 600, in urlopen
chunked=chunked)
File “/srv/homeassistant/lib/python3.5/site-packages/requests/packages/urllib3/connectionpool.py”, line 388, in _make_request
self._raise_timeout(err=e, url=url, timeout_value=read_timeout)
File “/srv/homeassistant/lib/python3.5/site-packages/requests/packages/urllib3/connectionpool.py”, line 308, in _raise_timeout
raise ReadTimeoutError(self, url, “Read timed out. (read timeout=%s)” % timeout_value)
requests.packages.urllib3.exceptions.ReadTimeoutError: HTTPConnectionPool(host=‘192.168.0.160’, port=49153): Read timed out. (read timeout=10)

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File “/srv/homeassistant/lib/python3.5/site-packages/homeassistant/setup.py”, line 194, in _async_setup_component
component.setup, hass, processed_config)
File “/usr/lib/python3.5/asyncio/futures.py”, line 380, in __iter__
yield self # This tells Task to wait for completion.
File “/usr/lib/python3.5/asyncio/tasks.py”, line 304, in _wakeup
future.result()
File “/usr/lib/python3.5/asyncio/futures.py”, line 293, in result
raise self._exception
File “/usr/lib/python3.5/concurrent/futures/thread.py”, line 55, in run
result = self.fn(*self.args, **self.kwargs)
File “/srv/homeassistant/lib/python3.5/site-packages/homeassistant/components/wemo.py”, line 89, in setup
port = pywemo.ouimeaux_device.probe_wemo(address)
File “/srv/homeassistant/lib/python3.5/site-packages/pywemo/ouimeaux_device/init.py”, line 30, in probe_wemo
timeout=10)
File “/srv/homeassistant/lib/python3.5/site-packages/requests/api.py”, line 72, in get
return request(‘get’, url, params=params, **kwargs)
File “/srv/homeassistant/lib/python3.5/site-packages/requests/api.py”, line 58, in request
return session.request(method=method, url=url, **kwargs)
File “/srv/homeassistant/lib/python3.5/site-packages/requests/sessions.py”, line 518, in request
resp = self.send(prep, **send_kwargs)
File “/srv/homeassistant/lib/python3.5/site-packages/requests/sessions.py”, line 639, in send
r = adapter.send(request, **kwargs)
File “/srv/homeassistant/lib/python3.5/site-packages/requests/adapters.py”, line 514, in send
raise ReadTimeout(e, request=request)
requests.exceptions.ReadTimeout: HTTPConnectionPool(host=‘192.168.0.160’, port=49153): Read timed out. (read timeout=10)
2017-08-24 15:44:33 WARNING (Thread-12) [netdisco.ssdp] Error fetching description at 192.168.0.189
2017-08-24 15:44:37 ERROR (MainThread) [homeassistant.setup] Unable to setup dependencies of switch.wemo. Setup failed for dependencies: wemo
2017-08-24 15:44:37 ERROR (MainThread) [homeassistant.setup] Unable to prepare setup for platform switch.wemo: Could not setup all dependencies.
2017-08-24 15:44:37 ERROR (MainThread) [homeassistant.setup] Unable to setup dependencies of switch.wemo. Setup failed for dependencies: wemo
2017-08-24 15:44:37 ERROR (MainThread) [homeassistant.setup] Unable to prepare setup for platform switch.wemo: Could not setup all dependencies.
2017-08-24 15:44:37 ERROR (MainThread) [homeassistant.setup] Unable to setup dependencies of switch.wemo. Setup failed for dependencies: wemo
2017-08-24 15:44:37 ERROR (MainThread) [homeassistant.setup] Unable to prepare setup for platform switch.wemo: Could not setup all dependencies.

It would be helpful to see your configuration.yaml or switch.yaml file to see where the issue might be

homeassistant:
  # Name of the location where Home Assistant is running
  name: Home
  # Location required to calculate the time the sun rises and sets
  latitude: *****
  longitude: *****
  # Impacts weather/sunrise data (altitude above sea level in meters)
  elevation: *****
  # metric for Metric, imperial for Imperial
  unit_system: metric
  # Pick yours from here: http://en.wikipedia.org/wiki/List_of_tz_database_time_zones
  time_zone: ******

# Show links to resources in log and frontend
introduction:

# Enables the frontend
frontend:

# Enables configuration UI
config:

http:
  # Uncomment this to add a password (recommended!)
  api_password: !secret http_password
  # Uncomment this if you are using SSL or running in Docker etc
  # base_url: example.duckdns.org:8123

# Checks for available updates
# Note: This component will send some information about your system to
# the developers to assist with development of Home Assistant.
# For more information, please see:
# https://home-assistant.io/blog/2016/10/25/explaining-the-updater/
updater:

# Wemo
wemo:
  static:
    - 192.168.0.160
    - 192.168.0.161
    - 192.168.0.162

# Discover some devices automatically
# discovery:

# Allows you to issue voice commands from the frontend in enabled browsers
conversation:

# Recorder for history and logbook
recorder:

# Enables support for tracking state changes over time.
history:

# View all events in a logbook
logbook:

# Track the sun
sun:

# Weather Prediction
sensor:
  - platform: yr

# Moon phase
  - platform: moon

# Time and Date
  - platform: time_date
    display_options:
      - 'time'
      - 'date'
    # - 'date_time'
    # - 'time_date'
    # - 'time_utc'
    # - 'beat'

# Random number generator
  - platform: random

# Devices connected to HASS API
  - platform: api_streams

# Pi resource monitor
  - platform: systemmonitor
    resources:
      - type: processor_use
      - type: memory_use_percent
      - type: disk_use_percent
        arg: /
      - type: since_last_boot
      - type: last_boot

# TP-Link Switch setup
switch:
  - platform: tplink
    host: 192.168.0.163
    name: "Table Lamp"
  - platform: tplink
    host: 192.168.0.164
    name: "Floor Lamp"

# Text to speech
tts:
  platform: google

# Grouping devices
group: !include groups.yaml

# Webapps
ifttt:
  key: !secret ifttt_key

# Automation
automation: !include automations.yaml

This is the most recent error log after 3 days from using a backup restored to my Pi.

Still showing issues with WeMo. 192.168.1.163 is the ip for Insight and that switch seems to cause the problem.

It is currently unplugged.

2017-08-28 16:10:03 WARNING (MainThread) [homeassistant.setup] Setup of wemo is taking over 10 seconds.
2017-08-28 16:10:03 ERROR (MainThread) [homeassistant.setup] Error during setup of component wemo
Traceback (most recent call last):
  File "/srv/homeassistant/lib/python3.5/site-packages/requests/packages/urllib3/connection.py", line 141, in _new_conn
    (self.host, self.port), self.timeout, **extra_kw)
  File "/srv/homeassistant/lib/python3.5/site-packages/requests/packages/urllib3/util/connection.py", line 83, in create_connection
    raise err
  File "/srv/homeassistant/lib/python3.5/site-packages/requests/packages/urllib3/util/connection.py", line 73, in create_connection
    sock.connect(sa)
OSError: [Errno 113] No route to host

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/srv/homeassistant/lib/python3.5/site-packages/requests/packages/urllib3/connectionpool.py", line 600, in urlopen
    chunked=chunked)
  File "/srv/homeassistant/lib/python3.5/site-packages/requests/packages/urllib3/connectionpool.py", line 356, in _make_request
    conn.request(method, url, **httplib_request_kw)
  File "/usr/lib/python3.5/http/client.py", line 1107, in request
    self._send_request(method, url, body, headers)
  File "/usr/lib/python3.5/http/client.py", line 1152, in _send_request
    self.endheaders(body)
  File "/usr/lib/python3.5/http/client.py", line 1103, in endheaders
    self._send_output(message_body)
  File "/usr/lib/python3.5/http/client.py", line 934, in _send_output
    self.send(msg)
  File "/usr/lib/python3.5/http/client.py", line 877, in send
    self.connect()
  File "/srv/homeassistant/lib/python3.5/site-packages/requests/packages/urllib3/connection.py", line 166, in connect
    conn = self._new_conn()
  File "/srv/homeassistant/lib/python3.5/site-packages/requests/packages/urllib3/connection.py", line 150, in _new_conn
    self, "Failed to establish a new connection: %s" % e)
requests.packages.urllib3.exceptions.NewConnectionError: <requests.packages.urllib3.connection.HTTPConnection object at 0x6820bed0>: Failed to establish a new connection: [Errno 113] No route to host

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/srv/homeassistant/lib/python3.5/site-packages/requests/adapters.py", line 438, in send
    timeout=timeout
  File "/srv/homeassistant/lib/python3.5/site-packages/requests/packages/urllib3/connectionpool.py", line 649, in urlopen
    _stacktrace=sys.exc_info()[2])
  File "/srv/homeassistant/lib/python3.5/site-packages/requests/packages/urllib3/util/retry.py", line 388, in increment
    raise MaxRetryError(_pool, url, error or ResponseError(cause))
requests.packages.urllib3.exceptions.MaxRetryError: HTTPConnectionPool(host='192.168.0.160', port=49153): Max retries exceeded with url: /setup.xml (Caused by NewConnectionError('<requests.packages.urllib3.connection.HTTPConnection object at 0x6820bed0>: Failed to establish a new connection: [Errno 113] No route to host',))

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/srv/homeassistant/lib/python3.5/site-packages/homeassistant/setup.py", line 194, in _async_setup_component
    component.setup, hass, processed_config)
  File "/usr/lib/python3.5/asyncio/futures.py", line 380, in __iter__
    yield self  # This tells Task to wait for completion.
  File "/usr/lib/python3.5/asyncio/tasks.py", line 304, in _wakeup
    future.result()
  File "/usr/lib/python3.5/asyncio/futures.py", line 293, in result
    raise self._exception
  File "/usr/lib/python3.5/concurrent/futures/thread.py", line 55, in run
    result = self.fn(*self.args, **self.kwargs)
  File "/srv/homeassistant/lib/python3.5/site-packages/homeassistant/components/wemo.py", line 89, in setup
    port = pywemo.ouimeaux_device.probe_wemo(address)
  File "/srv/homeassistant/lib/python3.5/site-packages/pywemo/ouimeaux_device/__init__.py", line 30, in probe_wemo
    timeout=10)
  File "/srv/homeassistant/lib/python3.5/site-packages/requests/api.py", line 72, in get
    return request('get', url, params=params, **kwargs)
  File "/srv/homeassistant/lib/python3.5/site-packages/requests/api.py", line 58, in request
    return session.request(method=method, url=url, **kwargs)
  File "/srv/homeassistant/lib/python3.5/site-packages/requests/sessions.py", line 518, in request
    resp = self.send(prep, **send_kwargs)
  File "/srv/homeassistant/lib/python3.5/site-packages/requests/sessions.py", line 639, in send
    r = adapter.send(request, **kwargs)
  File "/srv/homeassistant/lib/python3.5/site-packages/requests/adapters.py", line 502, in send
    raise ConnectionError(e, request=request)
requests.exceptions.ConnectionError: HTTPConnectionPool(host='192.168.0.160', port=49153): Max retries exceeded with url: /setup.xml (Caused by NewConnectionError('<requests.packages.urllib3.connection.HTTPConnection object at 0x6820bed0>: Failed to establish a new connection: [Errno 113] No route to host',))
2017-08-28 16:10:03 ERROR (MainThread) [homeassistant.setup] Unable to setup dependencies of switch.wemo. Setup failed for dependencies: wemo
2017-08-28 16:10:03 ERROR (MainThread) [homeassistant.setup] Unable to prepare setup for platform switch.wemo: Could not setup all dependencies.
2017-08-28 16:10:03 ERROR (MainThread) [homeassistant.setup] Unable to setup dependencies of switch.wemo. Setup failed for dependencies: wemo
2017-08-28 16:10:03 ERROR (MainThread) [homeassistant.setup] Unable to prepare setup for platform switch.wemo: Could not setup all dependencies.

Not completely sure how it worked again, but early this morning I plug the Insight back in, confirmed that HASS wemo component is still borked. While I was sleeping, cron fires regular Pi reboot command, and once HASS was loaded up, the Insight was working again.

I think there may be some interaction between the Insight and pywemo that causes this error. I will test it out once I get my hands on some other smart switch.

I have a wemo light switch and a couple of wemo plugs.

I had the exact same error after upgrading mu HA to Hassbian 1.3. (backed up the previously perfect-working configuration.yaml and flashed the new image)

Tried many things I found on the net without a success, the same error.

I had even re-flashed whole thing again. The same error. After a couple of days and numerous reboots, I wiped out WEMO light switch settings with WEMO app and reconfigured it. Then restarted HA.

It worked without a problem.
I suspect wemo products have some bug with somewhere in the initial connection components area.

If somebody encounters the similar situation, I recommend rebooting your wemo or wiping out wemo settings within WEMO app, then reconfigure (name, wifi, etc.)

Worth a try.

1 Like

Thanks. I’ll this one out.

Did you have any luck yet?

I did a fresh install of the HA version 0.54.0 on ubuntu and I have almost the exact same error log. I don’t have Insight devices, actually I get invalid config for wemo even if it is the only device added.

I will try to reboot and then factory reset the wemo switch and see what happens too

I am totally new to HA

I has the same issue - which appeared suddenly 3 days after running up a fresh 0.54 instance (I’ve never had luck with upgrades!). Everything was working perfectly for those 3 days.

Lucky me, I’ve spent the last 3 days chasing it down. I restored my 0.3x image and had the same error - from a KNOWN good working config.

Reset all of my wemos, cleared app cache, reset switches, maker, bulbs, link, etc. Noticed that the app was misbehaving quite badly as well. Figured it wasn’t the wemo side of things due to the ‘dependency not met’ error.

I tried updating the required components manually inside the venv, again with no luck.

Tried a fresh install of 0.54 and of 0.34 with none of my existing config, discovery on, and the same issue. Tried manually adding the component with IP’s and discovery off. Same prob.

Router is a nighthawk r7000 bridging a PPPoE session to a cisco 867. Checked the UPnP settings and there we’re wemo devices in the client list.

Finally, due to my config, I had to UNTICK the “Disable IGMP proxy” checkbox setting on my WAN interface, which enabled multicast. No more errors.

I suggest everyone check their router and ensure any settings for multicast / SSDP / IGMP Proxy are ENABLED.

Peace!

George

Hi George, are your HA server and your wemo devices on different VLANs from each other?

Just an update for everyone.

I initially blamed the hass upgrade for the weemo failure even though it ran for several days without issue.

Fact is, I was running my Cisco as a router initially, with a netgear r7000 as an AP.

I implemented doorpi as a sip client for my video intercom doorbell and wanted it to dial my sip extension over the internet on my mobile when someone hit my doorbell button. Forwarding a range of ports whilst still keeping everything else happy on a ‘home’ network with regards to NAT gave me a headache so I threw my Cisco into half bridge mode and had my r7000 create the pppoe dialer connection. That way I could utilise a nice easy UI and avoid the Cisco KB’s (ewh)

Like I said, it worked for 3 days. Then dead. SIP works great by the way lol. Something is going on with my router where if I power cycle (not reboot - doesn’t help) all comes good with wemo. I can replicate the problem by restarting HASS a few times - it will work, then die until the next router power cycle. Something is going on with multicast that the Cisco just handled without issue, but the r7000 can’t. If I had more time up my sleeve I’d ssh into the r7000 and start troubleshooting but I just don’t have that liberty.

I’m reverting back to the Cisco routing my stuff and the r7000 doing dumb AP stuff for now and I’ll report back.

PS my previous post about unchecking options probably just cleared a table full of MAC’s on the damned thing - it worked but just for a few days again

I’m sure it’s this.

George

UPDATE: Reverted back to the old config and experienced the same problem, BUT homeassistant log gave me an IP address in the error log.

This turned out to be a wemo maker that I control my garage door with. Unplugged it and everything worked instantly.

Yet to plug it back in but I’m guessing a) the pywemo code halts if it encounters one error. My logs still showed the wemo device discoveries etc. b) it was flooding the network with garbage.

George

I pretty much did the same thing, logs showed Insight as the cause so now it’s unplugged.

I replaced it with a TP-Link switch, but the recent updates have also caused problems for my TP-Link switches.

Have you tried a reset on the Insight?

I’ve been too lazy to get up on the ladder to reset my Maker which is cable tied to the Garage door controller, so it remains off whilst everything still works happily.

I’m planning on trying a reset but if that doesn’t work, I’ll wait for a FW update or just call the maker borked and build something NodeMCU based.

G